# buffer-major-mode(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

buffer-major-mode - Change the operating mode of a buffer

## SYNOPSIS

buffer-major-mode "modename"

## DESCRIPTION

buffer-major-mode changes the major mode of a buffer affecting the highlighting, indentation, key bindings and mode specific commands to the specified modename. This allows the buffer to be configured correctly for the type of file.

On invocation then the user is prompted for the modename, TAB performs completion.

Running buffer-major-mode causes the File Hook to be executed for the buffer for the new modename.

## NOTES

buffer-setup(3) may be used to make local changes to the major mode for the current buffer only. major-mode-setup(3) may be used to change the major mode settings across all buffers.

## SEE ALSO

buffer-setup(3), major-mode-setup(3), File Hooks

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>